// BMP2AVIDlg.h : header file
//
// Copyright : Yusupova Julia;  email: julus@yandex.ru
//
//////////////////////////////////////////////////////////////////////////

#if !defined(AFX_BMP2AVIDLG_H__D5D42226_1E36_4A61_B4ED_DC61CF7C300A__INCLUDED_)
#define AFX_BMP2AVIDLG_H__D5D42226_1E36_4A61_B4ED_DC61CF7C300A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define SAFE_RELEASE(x) { if (x) x->Release(); x = NULL; }

#define JIF(x) {HRESULT hr; if (FAILED(hr=(x))) \
	{TRACE(TEXT("FAILED(hr=0x%x) in ") TEXT(#x) TEXT("\n"), hr); return hr;}}

/*
#define JIF(x) {HRESULT hr; if (FAILED(hr=(x))) \
	{ CString str; str.Format("FAILED(hr=0x%x) in #x", hr); \
	MessageBox(str); return hr;}}
*/

#define WM_GRAPHNOTIFY (WM_USER+13)

#include <dshow.h>

/////////////////////////////////////////////////////////////////////////////
// CBMP2AVIDlg dialog

class CBMP2AVIDlg : public CDialog
{
// Construction
public:
	CBMP2AVIDlg(CWnd* pParent = NULL);	// standard constructor
	~CBMP2AVIDlg();

	HRESULT BuildGraph();
	IGraphBuilder * m_pGraphBuilder;
	IMediaControl * m_pMediaControl;
	IMediaEventEx * m_pMediaEvent;
	HRESULT ReleaseAll();
	enum {OUT_IN_AVI=1, OUT_ON_SCREEN} m_out;


// Dialog Data
	//{{AFX_DATA(CBMP2AVIDlg)
	enum { IDD = IDD_BMP2AVI_DIALOG };
	CString	m_bmp;
	CString	m_avi;
	UINT	m_FrameRate;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBMP2AVIDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CBMP2AVIDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg LRESULT onGraphNotify(WPARAM, LPARAM);
	afx_msg void OnCheckBmp();
	afx_msg void OnCheckAvi();
	virtual void OnCancel();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BMP2AVIDLG_H__D5D42226_1E36_4A61_B4ED_DC61CF7C300A__INCLUDED_)
