// PicturePropPage.h: interface for the CPicturePropPage class.
//
//
// Copyright : Yusupova Julia;  email: julus@yandex.ru
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PICTUREPROPPAGE_H__0D400C59_C2A6_421D_9DDF_A2E7D1BD942A__INCLUDED_)
#define AFX_PICTUREPROPPAGE_H__0D400C59_C2A6_421D_9DDF_A2E7D1BD942A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CPicturePropPage:	public CBasePropertyPage
{
public:
	
	CPicturePropPage(LPUNKNOWN lpunk, HRESULT *phr);

	static CUnknown * WINAPI CreateInstance(LPUNKNOWN lpunk, HRESULT *phr);
	
	DECLARE_IUNKNOWN;
	
    STDMETHODIMP NonDelegatingQueryInterface(REFIID riid, void ** ppv);
	
    BOOL	OnReceiveMessage(HWND hwnd,UINT uMsg,WPARAM wParam,LPARAM lParam);
    HRESULT OnConnect(IUnknown *pUnknown);
    HRESULT OnDisconnect();
    HRESULT OnActivate();
    HRESULT OnApplyChanges();

private:
	// settings
	INT m_nFrameRate;

	IPictureSettings * m_pIPicSettings;
};

#endif // !defined(AFX_PICTUREPROPPAGE_H__0D400C59_C2A6_421D_9DDF_A2E7D1BD942A__INCLUDED_)

